local L = LibStub("AceLocale-3.0"):GetLocale("GarrisonJukeBox")
local AceGUI = LibStub("AceGUI-3.0")

local MUSICPLAYER_WIDTH = 200 				--width of the music player
local MUSICPLAYER_HEIGHT = 70				--height of the music player
local MUSICPLAYER_BUTTONMARGIN = 15	-- Left margin for the buttons' positions
local MUSICPLAYER_BUTTON_Y = -40			-- Y position of the buttons

-------------------------------------
-- Background Frame
-------------------------------------
GJB.mplayer.fbg = CreateFrame("Frame", "GJBP_BG", UIParent)
local fbg = GJB.mplayer.fbg
assert(fbg, "Failed to create frame " .. "GJBP_BG") -- failed to create the frame
fbg:SetPoint("CENTER", "UIParent", "CENTER", 0, 0)
fbg:SetMovable(true)
fbg:EnableMouse(true)
fbg:RegisterForDrag(unpack({"RightButton"}))

fbg:SetScript("OnDragStart", 
	function( self )
		if IsAltKeyDown() then
			self:StartMoving()
		end
	end
)
fbg:SetScript("OnDragStop", 
	function(self)
		self:StopMovingOrSizing()
		pos = GJB.db.profile.musicplayer.pos
		pos.a, pos.r, pos.rp, pos.x, pos.y = self:GetPoint(1)
	end
)

fbg:SetBackdrop(
{
	bgFile = "Interface/Tooltips/UI-Tooltip-Background",
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
	tile = true, tileSize = 16, edgeSize = 16,
	insets = { left = 4, right = 4, top = 4, bottom = 4 }
})
fbg:SetBackdropColor(0, 0, 0, 0.5)
fbg:SetBackdropBorderColor(1, 1, 0.5, 1)
fbg:SetWidth(MUSICPLAYER_WIDTH)
fbg:SetHeight(MUSICPLAYER_HEIGHT)
fbg:SetScale(1)
fbg:Show()

-------------------------------------
-- Header Frame
-------------------------------------
GJB.mplayer.fhdr = CreateFrame("Frame", "GJBP_Header", fbg)
local fhdr = GJB.mplayer.fhdr
assert(fhdr, "Failed to create frame " .. "GJBP_Header") -- failed to create the frame
fhdr.root = false
fhdr:SetPoint("TOPLEFT", "GJBP_BG", "TOPLEFT", 5, -1)
do
	local text = {}
	text = fhdr:CreateFontString(nil, "ARTWORK", "NumberFont_Shadow_Small")
	assert(text, "Error creating font string.")
	text:SetAllPoints(true)
	text:SetJustifyH("CENTER")
	text:SetJustifyV("CENTER")
	text:SetTextColor(1, 1, 0.5, 1)
	text:SetText(L["GJBP_TITLE"])
end
fhdr:SetBackdropColor(123, 123, 123, 0)
fhdr:SetBackdropBorderColor(0, 0, 0, 0)
fhdr:SetWidth(190)
fhdr:SetHeight(20)
fhdr:SetScale(1)
fhdr:Show()

-------------------------------------
-- History BG
-------------------------------------
GJB.mplayer.fhistory = CreateFrame("Frame", "GJBP_History", fbg)
local fhist = GJB.mplayer.fhistory
assert(fhist, "Failed to create frame " .. "GJBP_History") -- failed to create the frame
fhist.root = false
fhist:SetPoint("TOPLEFT", "GJBP_BG", "TOPLEFT", 5, -67)

fhist:SetBackdrop(
{
	bgFile = "Interface/Tooltips/UI-Tooltip-Background",
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
	tile = true, tileSize = 16, edgeSize = 16,
	insets = { left = 4, right = 4, top = 4, bottom = 4 }
})

fhist:SetBackdropColor(23, 23, 23, 0.5)
fhist:SetBackdropBorderColor(0, 0, 0, 0)
fhist:SetWidth(190)
fhist:SetHeight(100)
fhist:SetScale(1)
fhist:Show()

-------------------------------------
-- History Title
-------------------------------------
GJB.mplayer.fhistorytitle = CreateFrame("Frame", "GJBP_HistoryTitle", fhist)
local fhtitle = GJB.mplayer.fhistorytitle
assert(fhtitle, "Failed to create frame " .. "GJBP_History") -- failed to create the frame
fhtitle.root = false
fhtitle:SetPoint("TOPLEFT", "GJBP_History", "TOPLEFT", 0, -2)
do
	local text = {}
	text = fhtitle:CreateFontString(nil, "ARTWORK", "NumberFont_Shadow_Small")
	assert(text, "Error creating font string.")
	text:SetAllPoints(true)
	text:SetJustifyH("CENTER")
	text:SetJustifyV("CENTER")
	text:SetTextColor(1, 1, 0.5, 1)
	text:SetText("History")
end

fhtitle:SetBackdropColor(0, 0, 0, 0)
fhtitle:SetBackdropBorderColor(0, 0, 0, 0)
fhtitle:SetWidth(190)
fhtitle:SetHeight(20)
fhtitle:SetScale(1)
fhtitle:Show()

-------------------------------------
-- History Container
-------------------------------------
GJB.mplayer.fhcontainer = CreateFrame("Frame", "GJBP_History", fhist)
local fhcont = GJB.mplayer.fhcontainer
assert(fhcont, "Failed to create frame " .. "GJBP_HistoryContainer") -- failed to create the frame
fhcont.root = false
fhcont:SetPoint("TOPLEFT", "GJBP_HistoryTitle", "TOPLEFT", 2, -13)

fhcont:SetBackdrop(
{
	bgFile = "Interface/Tooltips/UI-Tooltip-Background",
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
	tile = true, tileSize = 16, edgeSize = 16,
	insets = { left = 4, right = 4, top = 4, bottom = 4 }
})

fhcont:SetBackdropColor(0, 0, 0, 0.95)
fhcont:SetBackdropBorderColor(0, 0, 0, 0)
fhcont:SetWidth(186)
fhcont:SetHeight(83)
fhcont:SetScale(1)
fhcont:Show()

-------------------------------------
-- History Scroll
-------------------------------------
--[[GJB.mplayer.fhcontainer = CreateFrame("Frame", "GJBP_History", fbg)
local fhcont = GJB.mplayer.fhcontainer
assert(fhcont, "Failed to create frame " .. "GJBP_HistoryContainer") -- failed to create the frame
fhcont.root = false
fhcont:SetPoint("TOPLEFT", "GJBP_HistoryTitle", "TOPLEFT", 2, -13)

fhcont:SetBackdrop(
{
	bgFile = "Interface/Tooltips/UI-Tooltip-Background",
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
	tile = true, tileSize = 16, edgeSize = 16,
	insets = { left = 4, right = 4, top = 4, bottom = 4 }
})

fhcont:SetBackdropColor(0, 0, 0, 0.5)
fhcont:SetBackdropBorderColor(0, 0, 0, 0)
fhcont:SetWidth(186)
fhcont:SetHeight(83)
fhcont:SetScale(1)
fhcont:Show()
--]]
-------------------------------------
-- Title Frame
-------------------------------------
GJB.mplayer.ftitle = CreateFrame("Frame", "GJBP_Title", fbg)
local ftitle = GJB.mplayer.ftitle
assert(ftitle, "Failed to create frame " .. "GJBP_Title") -- failed to create the frame
ftitle.root = false
ftitle:SetPoint("TOPLEFT", "GJBP_BG", "TOPLEFT", 5, -17)
do
	local text = {}
	text = ftitle:CreateFontString(nil, "ARTWORK", "NumberFont_Shadow_Small")
	assert(text, "Error creating font string.")
	text:SetAllPoints(true)
	text:SetJustifyH("CENTER")
	text:SetJustifyV("TOP")
	text:SetTextColor(1, 1, 1, 1)
	text:SetText("...")
	GJB.mplayer.ftitletext = text
end
ftitle:SetBackdropColor(123, 123, 123, 0)
ftitle:SetBackdropBorderColor(0, 0, 0, 0)
ftitle:SetWidth(190)
ftitle:SetHeight(20)
ftitle:SetScale(1)
ftitle:Show()

-------------------------------------
-- Back Button Frame
-------------------------------------
GJB.mplayer.fback = CreateFrame("Button", "GJBP_Back", fbg, UIPanelButtonTemplate)
local fback = GJB.mplayer.fback
assert(fback, "Failed to create frame " .. "GJBP_Back") -- failed to create the frame
fback.root = false
fback:SetPoint("TOPLEFT", "GJBP_BG", "TOPLEFT", MUSICPLAYER_BUTTONMARGIN, MUSICPLAYER_BUTTON_Y)
fback:SetBackdrop(
{
	bgFile = "Interface\\AddOns\\GarrisonJukeBox\\media\\back",
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
	tile = true, tileSize = 24, edgeSize = 1,
	insets = { left = 1, right = 1, top = 1, bottom = 1 }
})
fback:RegisterForClicks(unpack({"LeftButtonUp"}))

fback:SetScript("OnClick", 
	function(self, button, down)
		StopMusic()
		GJB.gMusicPlaying = false
		GJB.gMusicIndex	= GJB.gMusicIndex - 1
		if GJB.gMusicIndex < 1 then
			GJB.gMusicIndex = GJB.gMaxMusic
		end
		GJB:ProcessInfo()
	end
)
	
fback:SetScript("OnEnter",
	function(self)
		GameTooltip:SetOwner(self, "ANCHOR_TOPLEFT")
		GameTooltip:SetText(L["CMD_PREV"])  -- This sets the top line of text, in gold.
		--GameTooltip:AddLine("Back", 1, 1, 1)
		GameTooltip:Show()
	end
)

fback:SetScript("OnLeave",
	function(self)
		GameTooltip:Hide()
	end
)

fback:SetHighlightTexture("Interface\\AddOns\\GarrisonJukeBox\\media\\btn-light", "ADD")
fback:SetBackdropColor(1, 1, 1, 1)
fback:SetBackdropBorderColor(0, 0, 0, 0)
fback:SetWidth(24)
fback:SetHeight(24)
fback:SetScale(1)
fback:Show()

-------------------------------------
-- Play Button Frame
-------------------------------------
GJB.mplayer.fplay = CreateFrame("Button", "GJBP_Play", fbg, UIPanelButtonTemplate)
local fplay = GJB.mplayer.fplay
assert(fplay, "Failed to create frame " .. "GJBP_Play") -- failed to create the frame
fplay.root = false
fplay:SetPoint("TOPLEFT", "GJBP_BG", "TOPLEFT", MUSICPLAYER_BUTTONMARGIN + 30, MUSICPLAYER_BUTTON_Y)
fplay:SetBackdrop(
{
	bgFile = "Interface\\AddOns\\GarrisonJukeBox\\media\\play",
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
	tile = true, tileSize = 24, edgeSize = 1,
	insets = { left = 1, right = 1, top = 1, bottom = 1 }
})
fplay:RegisterForClicks(unpack({"LeftButtonUp"}))

fplay:SetScript("OnClick", 
	function(self, button, down)
		StopMusic()
		GJB.gMusicPlaying = false
		GJB:ProcessInfo()
	end
)

fplay:SetScript("OnEnter",
	function(self)
		GameTooltip:SetOwner(self, "ANCHOR_TOPLEFT")
		GameTooltip:SetText(L["CMD_PLAY"])  -- This sets the top line of text, in gold.
		--GameTooltip:AddLine("Back", 1, 1, 1)
		GameTooltip:Show()
	end
)

fplay:SetScript("OnLeave",
	function(self)
		GameTooltip:Hide()
	end
)

fplay:SetHighlightTexture("Interface\\AddOns\\GarrisonJukeBox\\media\\btn-light", "ADD")
fplay:SetBackdropColor(1, 1, 1, 1)
fplay:SetBackdropBorderColor(0, 0, 0, 0)
fplay:SetWidth(24)
fplay:SetHeight(24)
fplay:SetScale(1)
fplay:Show()

-------------------------------------
-- Stop Button Frame
-------------------------------------
GJB.mplayer.fstop = CreateFrame("Button", "GJBP_Stop", fbg, UIPanelButtonTemplate)
local fstop = GJB.mplayer.fstop
assert(fplay, "Failed to create frame " .. "GJBP_Stop") -- failed to create the frame
fstop.root = false
fstop:SetPoint("TOPLEFT", "GJBP_BG", "TOPLEFT", MUSICPLAYER_BUTTONMARGIN + 60, MUSICPLAYER_BUTTON_Y)
fstop:SetBackdrop(
{
	bgFile = "Interface\\AddOns\\GarrisonJukeBox\\media\\stop",
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
	tile = true, tileSize = 24, edgeSize = 1,
	insets = { left = 1, right = 1, top = 1, bottom = 1 }
})
fstop:RegisterForClicks(unpack({"LeftButtonUp"}))

fstop:SetScript("OnClick", 
	function(self, button, down)
		StopMusic()
		GJB:SetNowPlayingText("...")
		GJB.gMusicPlaying = false
		GJB:CancelTimer(self.musicTimer)
	end
)

fstop:SetScript("OnEnter",
	function(self)
		GameTooltip:SetOwner(self, "ANCHOR_TOPLEFT")
		GameTooltip:SetText(L["CMD_STOP"])  -- This sets the top line of text, in gold.
		--GameTooltip:AddLine("Back", 1, 1, 1)
		GameTooltip:Show()
	end
)

fstop:SetScript("OnLeave",
	function(self)
		GameTooltip:Hide()
	end
)

fstop:SetHighlightTexture("Interface\\AddOns\\GarrisonJukeBox\\media\\btn-light", "ADD")
fstop:SetBackdropColor(1, 1, 1, 1)
fstop:SetBackdropBorderColor(0, 0, 0, 0)
fstop:SetWidth(24)
fstop:SetHeight(24)
fstop:SetScale(1)
fstop:Show()

-------------------------------------
-- Next Button Frame
-------------------------------------
GJB.mplayer.fnext = CreateFrame("Button", "GJBP_Next", fbg, UIPanelButtonTemplate)
local fnext = GJB.mplayer.fnext
assert(fnext, "Failed to create frame " .. "GJBP_Next") -- failed to create the frame
fnext.root = false
fnext:SetPoint("TOPLEFT", "GJBP_BG", "TOPLEFT", MUSICPLAYER_BUTTONMARGIN + 90, MUSICPLAYER_BUTTON_Y)
fnext:SetBackdrop(
{
	bgFile = "Interface\\AddOns\\GarrisonJukeBox\\media\\next",
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
	tile = true, tileSize = 24, edgeSize = 1,
	insets = { left = 1, right = 1, top = 1, bottom = 1 }
})
fnext:RegisterForClicks(unpack({"LeftButtonUp"}))

fnext:SetScript("OnClick", 
	function(self, button, down)
		StopMusic() 
		GJB.gMusicPlaying = false
		GJB:ProcessInfo()
	end
)

fnext:SetScript("OnEnter",
	function(self)
		GameTooltip:SetOwner(self, "ANCHOR_TOPLEFT")
		GameTooltip:SetText(L["CMD_NEXT"])  -- This sets the top line of text, in gold.
		--GameTooltip:AddLine("Back", 1, 1, 1)
		GameTooltip:Show()
	end
)

fnext:SetScript("OnLeave",
	function(self)
		GameTooltip:Hide()
	end
)

fnext:SetHighlightTexture("Interface\\AddOns\\GarrisonJukeBox\\media\\btn-light", "ADD")
fnext:SetBackdropColor(1, 1, 1, 1)
fnext:SetBackdropBorderColor(0, 0, 0, 0)
fnext:SetWidth(24)
fnext:SetHeight(24)
fnext:SetScale(1)
fnext:Show()

-------------------------------------
-- History Button Frame
-------------------------------------
GJB.mplayer.fbtnhistory = CreateFrame("Button", "GJBP_BTNHistory", fbg, UIPanelButtonTemplate)
local fbhist = GJB.mplayer.fbtnhistory
assert(fbhist, "Failed to create frame " .. "GJBP_BTNHistory") -- failed to create the frame
fbhist.root = false
fbhist:SetPoint("TOPLEFT", "GJBP_BG", "TOPLEFT", MUSICPLAYER_BUTTONMARGIN + 150, MUSICPLAYER_BUTTON_Y)
fbhist:SetBackdrop(
{
	bgFile = "Interface\\AddOns\\GarrisonJukeBox\\media\\history",
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
	tile = true, tileSize = 24, edgeSize = 1,
	insets = { left = 1, right = 1, top = 1, bottom = 1 }
})
fbhist:RegisterForClicks(unpack({"LeftButtonUp"}))

fbhist:SetScript("OnClick", 
	function(self, button, down)
		local bVisible = true
		if( GJB.db.profile.history.open ) then
			bVisible = false
		end

		GJB.db.profile.history.open = bVisible
		GJB:SetPlayerHistoryVisibility(bVisible)

		if( bVisible ) then
			GameTooltip:SetText(L["CMD_HISTORY_CLOSE"])  -- This sets the top line of text, in gold.
		else
			GameTooltip:SetText(L["CMD_HISTORY_OPEN"])  -- This sets the top line of text, in gold.
		end
	end
)

fbhist:SetScript("OnEnter",
	function(self)
		GameTooltip:SetOwner(self, "ANCHOR_TOPLEFT")

		if( GJB.db.profile.history.open ) then
			GameTooltip:SetText(L["CMD_HISTORY_CLOSE"])  -- This sets the top line of text, in gold.
		else
			GameTooltip:SetText(L["CMD_HISTORY_OPEN"])  -- This sets the top line of text, in gold.
		end
		
		--GameTooltip:AddLine("Back", 1, 1, 1)
		GameTooltip:Show()
	end
)

fbhist:SetScript("OnLeave",
	function(self)
		GameTooltip:Hide()
	end
)

fbhist:SetHighlightTexture("Interface\\AddOns\\GarrisonJukeBox\\media\\history-over", "BLEND")
fbhist:SetBackdropColor(1, 1, 1, 1)
fbhist:SetBackdropBorderColor(0, 0, 0, 0)
fbhist:SetWidth(24)
fbhist:SetHeight(24)
fbhist:SetScale(1)
fbhist:Show()
--==============================================================

-------------------------------------
-- Function to show or hide the music player
-------------------------------------
function GJB:SetPlayerVisibility(visible)
	if visible then
		GJB.mplayer.fbg:Show()
	else
		GJB.mplayer.fbg:Hide()
	end
end

-------------------------------------
-- Function to show or hide the music player history list
-------------------------------------
function GJB:SetPlayerHistoryVisibility(visible)
	if visible then
		GJB.mplayer.fhistory:Show()
	else
		GJB.mplayer.fhistory:Hide()
	end
end

-------------------------------------
-- Function to set the text
-------------------------------------
function GJB:SetNowPlayingText(playing)
	local text = GJB.mplayer.ftitletext
	assert(text, "Error creating font string.")
	text:SetAllPoints(true)
	text:SetJustifyH("CENTER")
	text:SetJustifyV("CENTER")
	text:SetTextColor(1, 1, 1, 1)
	text:SetText(playing)
end

-------------------------------------
-- Function to set the position of the player
-------------------------------------
function GJB:SetPlayerPos(pos)
	self.db.profile.musicplayer.pos = pos
	GJB.mplayer.fbg:ClearAllPoints()
	GJB.mplayer.fbg:SetPoint(pos.a, pos.r, pos.rp, pos.x, pos.y)
end

-------------------------------------
-- Function to update the player
-------------------------------------
function GJB:UpdateMusicPlayer()
	local pos = self.db.profile.musicplayer.pos
	self:SetPlayerPos( pos )
	self:SetPlayerVisibility( not self.db.profile.hidemusicplayer )
	self:SetPlayerHistoryVisibility( self.db.profile.history.open )
end
